#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityVIPCFGData
{
	//vip等级
	int mVipLv;
	//刮刮乐活动，普通场免费次数，收费抽奖次数；黄金场免费次数，收费抽奖次数，钻石场免费次数，收费抽奖次数
	std::vector<int> mActiviyScratchTicket;
	//春节冒险活动。免费游戏最大次数,免死最大次数
	std::vector<int> mActiviyAdventure;
};

class M_ActivityVIPCFG
{
public:
private:
	static std::auto_ptr<M_ActivityVIPCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityVIPCFGData* GetData(int VipLv);
	boost::unordered_map<int, M_ActivityVIPCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityVIPCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityVIPCFGData> mMapData;
};
